This directory contains config files for building the TclTls project:

  <https://core.tcl-lang.org/tcltls>

using teaish:

  <https://fossil.wanderinghorse.net/r/teaish>

instead of with its native TEA.  Why? It's a proof-of-concept
work. The goal was to get a real-world extension building with teaish,
without requiring any changes to the upstream tree. It demonstrates
that TclTLS "could" be ported from TEA (Autotools) to Teaish
(Autosetup) with little effort.

The following docs assuming that that the commands are being run from
the `example/tcltls` directory in the teaish tree. When running them
from elsewhere, adjust the references to `configure` to point to the
copy in the main teaish tree.

First, we need a checkout of tcltls using
[fossil](https://fossil-scm.org/home):

    $ fossil clone https://core.tcl-lang.org/tcltls

With that in place, this build can do its job. From the
directory containing this README file:

    $ ../../configure --with-tcltls=/path/to/tcltls
    $ make
    $ make test

Or for an out-of-tree build:

    $ /path/to/teaish/configure \
      --with-tcltls=/path/to/tcltls \
      --teaish-extension-dir=/path/to/this/extension
    $ make
    $ make test

To specify a TCL version, use `--with-tcl=/root/of/installation` or
`--with-tcl=/path/to/tclshX.Y`. Similarly, use `--with-openssl=...` to
specify an OpenSSL installation, and pass `--help` to `configure` for
a description of its options.

Tip: if the environment variable `TCLTLS_HOME` is set to the tcltls
checkout dir, or a file named `.env-TCLTLS_HOME` exists in the build
dir with the path to the checkout as its only content, the
`--with-tcltls` flag is not needed - its value will be derived from
those (in that order).

To install or uninstall, assuming the logged-in account has permission
to:

    $ make install # or uninstall
